from django.db import models

class AnsibleTask(models.Model):
    name = models.CharField(max_length=200)
    playbook_content = models.TextField()          # ✅ YAML 문자열
    inventory_content = models.TextField()         # ✅ 인벤토리 형식 문자열
    status = models.CharField(max_length=50, default='pending')  # 'pending', 'running', 'success', 'failed', 'error'
    output = models.TextField(blank=True)          # ✅ 실행 결과 로그
    created_at = models.DateTimeField(auto_now_add=True)

    def __str__(self):
        return f"{self.name} ({self.status})"
