from rest_framework import serializers
from .models import AnsibleTask


# ✅ 기본 Serializer: 목록 / 생성용
class AnsibleTaskSerializer(serializers.ModelSerializer):
    class Meta:
        model = AnsibleTask
        fields = [
            "id",
            "name",
            "playbook_content",
            "inventory_content",
            "status",
            "output",
            "created_at",
        ]
        read_only_fields = ("id", "status", "output", "created_at")


# ✅ 상세용 Serializer: 실행 결과만 확인
class AnsibleTaskDetailSerializer(serializers.ModelSerializer):
    class Meta:
        model = AnsibleTask
        fields = [
            "id",
            "name",
            "status",
            "output",
            "created_at",
        ]
        read_only_fields = fields
